MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029754Community[OCCT] OCCT:Codingpublic2018-05-11 07:092018-06-29 21:18
ReporterVico Liang 
Assigned Toabv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029754: Replace Graphic3d_ZLayerId with Standard_Interger inside OpenGl_GraphicDriver
DescriptionIn class OpenGl_GraphicDriver,Graphic3d_ZLayerId is used:
void AddZLayer (const Graphic3d_ZLayerId theLayerId) Standard_OVERRIDE;
void RemoveZLayer (const Graphic3d_ZLayerId theLayerId) Standard_OVERRIDE;

In class V3d_Viewer, Standard_Integer is used:
Standard_Boolean AddZLayer (Standard_Integer& theLayerId);
Standard_Boolean RemoveZLayer (const Standard_Integer theLayerId);

It would be better to unify the interface and remove Graphic3d_ZLayerId.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0075935)
kgv (developer)
2018-05-11 09:40

Graphic3d_ZLayerId is here to have at least some tiny line between enumeration defining standard Layers (Graphic3d_ZLayerId_Default, Graphic3d_ZLayerId_Top, Graphic3d_ZLayerId_Topmost, Graphic3d_ZLayerId_TopOSD, Graphic3d_ZLayerId_BotOSD) and API for managing Layers.

At the same time, V3d_Viewer::AddZLayer() and V3d_Viewer::RemoveZLayer() are declared for managing custom Layers, so that Graphic3d_ZLayerId enumeration is not helpful. But I suppose that it is better unifying interface and replacing Standard_Integer with Graphic3d_ZLayerId in these two methods.
(0075955)
git (administrator)
2018-05-14 08:54

Branch CR29754 has been created by kgv.

SHA-1: 2272241632b071ddf4421303fe9aa0d602dc248d


Detailed log of new commits:

Author: kgv
Date: Mon May 14 08:54:08 2018 +0300

    0029754: Coding Rules - replace Standard_Integer with Graphic3d_ZLayerId for consistency
(0075956)
git (administrator)
2018-05-14 09:03

Branch CR29754 has been updated forcibly by kgv.

SHA-1: ce0f6b3b0f0cbb3c2a7294843f12d28cecf1384b
(0075957)
kgv (developer)
2018-05-14 09:54

Patch is ready for review.

http://jenkins-test-11.nnov.opencascade.com/view/CR29754-master-KGV/ [^]
(0076943)
git (administrator)
2018-06-23 13:56

Branch CR29754 has been deleted by kgv.

SHA-1: ce0f6b3b0f0cbb3c2a7294843f12d28cecf1384b

- Related Changesets
occt: master 8f138407
Timestamp: 2018-05-14 05:54:08
Author: abv
Committer: abv
Details ] Diff ]
0029754: Coding Rules - replace Standard_Integer with Graphic3d_ZLayerId for consistency
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-11 07:09 Vico Liang New Issue
2018-05-11 07:09 Vico Liang Assigned To => kgv
2018-05-11 09:40 kgv Note Added: 0075935
2018-05-11 12:05 kgv Severity minor => integration request
2018-05-14 08:54 git Note Added: 0075955
2018-05-14 09:03 git Note Added: 0075956
2018-05-14 09:54 kgv Note Added: 0075957
2018-05-14 09:54 kgv Assigned To kgv => san
2018-05-14 09:54 kgv Status new => resolved
2018-05-14 09:54 kgv Target Version 7.4.0* => 7.3.0
2018-05-24 16:02 abv Changeset attached => occt master 8f138407
2018-05-24 16:02 abv Assigned To san => abv
2018-05-24 16:02 abv Status resolved => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-06-23 13:56 git Note Added: 0076943
2018-06-29 21:13 aiv Fixed in Version => 7.3.0
2018-06-29 21:18 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker